Bug 586360 - simple scan saves scanned pages in wrong sizes
Summary: simple scan saves scanned pages in wrong sizes
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL: https://bugs.launchpad.net/fedora/+bu...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 11:59 UTC by Boricua
Modified: 2011-03-01 07:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-01 07:09:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log after saving a scanned document. (155.81 KB, application/octet-stream)
2010-04-27 15:15 UTC, Boricua
no flags Details
simple-scan debug (36.81 KB, application/octet-stream)
2010-04-28 10:19 UTC, Boricua
no flags Details
scanned 8.5 x 14 page (12.48 KB, application/pdf)
2010-04-28 10:19 UTC, Boricua
no flags Details

Description Boricua 2010-04-27 11:59:13 UTC
Description of problem: Simple Scan saves scanned documents in incorrect size.


Version-Release number of selected component (if applicable):


How reproducible: Each time I scan and save a document into .pdf.


Steps to Reproduce:
1. Scan a document.
2. Save the scanned document into .pdf.
3. Verify the document actual size in its properties after opening it using evince.
  
Actual results: A 8.5 x 14 inch page appears as being 34.89 × 58.31 inches.


Expected results: A 8.5 x 14 inch page (its actual size).


Additional info: I ran Simple Scan from the command prompt but no message was shown.

Comment 1 Rahul Sundaram 2010-04-27 12:10:26 UTC
Which version number do you have?

Comment 2 Boricua 2010-04-27 12:23:15 UTC
(In reply to comment #1)
> Which version number do you have?    

Is version 1.0.2-1.fc13 for x86_64.

Comment 3 Rahul Sundaram 2010-04-27 14:27:26 UTC
Test the new release build from 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2141100

Let me know if it works better.  If it does not, please include the output of simple scan by running it from the command line, e.g.

$ simple-scan --debug >simple-scan.log

Comment 4 Boricua 2010-04-27 15:15:52 UTC
Created attachment 409498 [details]
Log after saving a scanned document.

Comment 5 Boricua 2010-04-27 15:23:00 UTC
(In reply to comment #3)
> Test the new release build from 
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2141100
> 
> Let me know if it works better.  If it does not, please include the output of
> simple scan by running it from the command line, e.g.
> 
> $ simple-scan --debug >simple-scan.log    

This one remains the same.  I attached a log as requested. I will need to leave this machine for a few hours; will try to be back ASAP.

Comment 6 Rahul Sundaram 2010-04-27 15:25:37 UTC
I have filed a bug report upstream on your behalf at 

https://bugs.launchpad.net/fedora/+bug/570782

It would be helpful if you can followup there.  Thanks for your feedback

Comment 7 Boricua 2010-04-27 15:37:05 UTC
(In reply to comment #6)
> I have filed a bug report upstream on your behalf at 
> 
> https://bugs.launchpad.net/fedora/+bug/570782
> 
> It would be helpful if you can followup there.  Thanks for your feedback    

Very well, I will follow. Thanks Rahul.

Comment 8 Robert Ancell 2010-04-28 00:33:52 UTC
Boricua, the log indicates you were using simple-scan 1.0.2.  Can you confirm this behaviour occurs in simple-scan 1.0.3?

Comment 9 Boricua 2010-04-28 08:56:41 UTC
(In reply to comment #8)
> Boricua, the log indicates you were using simple-scan 1.0.2.  Can you confirm
> this behaviour occurs in simple-scan 1.0.3?    

Yes, it remains the same after the upgrade. simple-scan 1.0.3 did fix bug 586350, which I also reported. I tried 1.0.3 and it saved the scanned document in the same huge size of 34.89 × 58.31 inches.  Just let me know if you need further info.

Comment 10 Robert Ancell 2010-04-28 09:41:53 UTC
Could you attach the output of simple-scan -d in 1.0.3 and attach a scanned document with the size problem?

Comment 11 Boricua 2010-04-28 10:18:11 UTC
(In reply to comment #10)
> Could you attach the output of simple-scan -d in 1.0.3 and attach a scanned
> document with the size problem?    

I am attaching the requested files.

Comment 12 Boricua 2010-04-28 10:19:02 UTC
Created attachment 409751 [details]
simple-scan debug

Comment 13 Boricua 2010-04-28 10:19:58 UTC
Created attachment 409752 [details]
scanned 8.5 x 14 page

Comment 14 Rahul Sundaram 2010-06-08 15:51:09 UTC
Would you mind filing it upstream? 

https://launchpad.net/simple-scan


Note You need to log in before you can comment on or make changes to this bug.